<?xml version="1.0" encoding="iso-8859-2"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<!-- Zkoprovn celho dokumentu -->
<xsl:template match="node()|@*">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="classname">
  <!-- Zkoprovn pvodnho elementu -->
  <xsl:copy-of select="."/>
  <!-- Vytvoen rejstkovho hesla -->
  <indexterm>
    <primary>class</primary>
    <secondary><xsl:value-of select="."/></secondary>
  </indexterm>
</xsl:template>

<xsl:template match="methodname">
<!-- Zkoprovn pvodnho elementu -->
  <xsl:copy-of select="."/>
  <!-- Vytvoen rejstkovho hesla -->
  <indexterm>
    <primary>method</primary>
    <secondary><xsl:value-of select="."/></secondary>
  </indexterm>
</xsl:template>

<xsl:template match="varname">
<!-- Zkoprovn pvodnho elementu -->
  <xsl:copy-of select="."/>
  <!-- Vytvoen rejstkovho hesla -->
  <indexterm>
    <primary>variable</primary>
    <secondary><xsl:value-of select="."/></secondary>
  </indexterm>
</xsl:template>



<xsl:template match="filename">
<!-- Zkoprovn pvodnho elementu -->
  <xsl:copy-of select="."/>
  <!-- Vytvoen rejstkovho hesla -->
  <indexterm>
    <primary>file</primary>
    <secondary><xsl:value-of select="."/></secondary>
  </indexterm>
</xsl:template>




<!-- Kad jmno souboru se tak pid do rejstku -->
<xsl:template match="filename">
  <!-- Zkoprovn pvodnho elementu -->
  <xsl:copy-of select="."/>
  <!-- Vytvoen rejstkovho hesla -->
  <indexterm>
    <primary><xsl:value-of select="."/></primary>
  </indexterm>
</xsl:template>

</xsl:stylesheet>